# B - PPD Compiler Driver Information File Reference

This appendix describes all of the directives that may be used in driver information files.

## Directive Index

`#define`
`#font`
`#include`
`#media`
`#po`
`Attribute`
`Choice`
`ColorDevice`
`ColorModel`
`ColorProfile`
`Copyright`
`CustomMedia`
`Cutter`

`Darkness`
`DriverType`
`Duplex`
`Filter`
`Finishing`
`Font`
`Group`
`HWMargins`
`InputSlot`
`Installable`
`ManualCopies`
`Manufacturer`
`MaxSize`

`MediaSize`
`MediaType`
`MinSize`
`ModelName`
`ModelNumber`
`Option`
`PCFileName`
`Resolution`
`SimpleColorProfile`
`Throughput`
`UIConstraints`
`VariablePaperSize`
`Version`